<?php
include 'header.php';
include 'erpc_nfecode_importacao_toolbar.php'; //Nome da tabela _list.php
require_once 'connect.php';
require_once 'inc/messages.php';
require_once 'inc/usuario.php';
require_once 'inc/nfecode_xml_download.php';

date_default_timezone_set('America/Sao_Paulo');

checkLogin('login.php');

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];
$id_unidade=$usuario_list['unidade'];

// Método para post de Query Avançada
	/*
	$consulta = "select p.id, p.id_status_pedido, p.id_cliente, c.ds_nome, p.id_unidade, u.ds_fantasia,
	   p.vl_total_produtos,
       s.fl_fatura,
       s.ds_path  ,
       s.ds_status
from   erpc_pedidos_venda p
join   erpc_clientes      c
	on p.id_cliente = c.id
join   erpc_unidades 	  u
	on p.id_unidade = u.id
join   erpc_dom_status_pedidos s
    on p.id_status_pedido = s.id
where  p.st_ativo = 1 and p.id_unidade=$id_unidade";

	Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id         = $_POST['id'];
		$ds_tipo_conversao	= trim($_POST['ds_tipo_conversao']);

	  $consulta .= (!empty($id)  		? " and id like '%$id%'"            : '');
	  $consulta .= (!empty($ds_tipo_conversao)? " and ds_tipo_conversao like '%$ds_tipo_conversao%'"            : '');

https://nfe.fazenda.sp.gov.br/ConsultaNFe/consulta/publica/ConsultarNFe.aspx

	}*/

?>

<div class="block">
  <div class="header">
  <h2>Danfe - Arquivos XMl : Painel de Importação</h2>
		<div class="side pull-right">
			<button id='btnShow' class="btn btn-default btn-clean">Legenda</button>
		</div>
  </div>
	<div class="block">
		<div class="content">
			<?php
			displayMessagesAndErrors(true); ?>
		</div>
	</div>

  <div class="content">
		<form id=validate_custom method="post" action="erpc_liberar_pedidos_ws.php">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
				<th width="03%">Status</th>
				<!-- <th width="20%">Chave</th>-->
				<th width="10%">Nr. Danfe</th>
				<!-- <th width="03%">Série</th> -->
				<th width=08%>Emissão</th>
				<th width="04%">CNPJ</th>
				<th width="60%">Razão Social</th>
				<th width="05%">Status Sefaz</th>
				<th width="05%">Ação</th>
				<th width="05%">Detalhe</th>
          </tr>
        </thead>
        <tbody>

      <?php

      	$consulta = "select s.ds_path, d.id, d.id_status_xml_importado,
      	 ds_chave, ds_numnf, ds_serie, dh_emissao, d.cd_status_nfe,
      	 left(IFNULL(f.ds_cpf_cnpj, ds_xml_cnpj), 20) as ds_cpf_cnpj, 
      	 left(IFNULL(f.ds_razao   , ds_xml_razao),255) as ds_razao, 
      	 d.st_tipo_entrada =0,
      	 case when d.id_status_xml_importado =2 and length(d.ds_xml)>0 then 1 else 0 end as st_prenota, st_tipo_entrada, d.dh_alteracao
from   erpc_documentos_entrada d 
join   erpc_dom_status_xml_importado s on d.id_status_xml_importado = s.id
left join   erpc_fornecedores	   f on d.id_fornecedor = f.id where d.st_ativo = 1 order by 1 desc"
;

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

            $id      = $registro['id'];
            $id_crip = base64_encode($id);

            $ds_path = $registro['ds_path'];
            $id_status_xml_importado = $registro['id_status_xml_importado'];
            $ds_chave= $registro['ds_chave'];
            $ds_chave_crip = base64_encode($ds_chave);

            $ds_numnf= $registro['ds_numnf'];
            $ds_serie= $registro['ds_serie'];
            $dh_emissao= $registro['dh_emissao'];
            $ds_cpf_cnpj= preg_replace("/[^0-9]/", "", $registro['ds_cpf_cnpj']);
            $ds_razao= $registro['ds_razao'];
            $cd_status_nfe= $registro['cd_status_nfe'];
            
            $st_tipo_entrada = $registro['st_tipo_entrada']; // 0 Automática / 1 Manual
            $st_prenota= $registro['st_prenota'];
            $dh_alteracao = $registro['dh_alteracao'];

            // Se Aguardando o Download do XML Automático
            if($cd_status_nfe=="128"){
            	$bo_xml = getDownloadXML($id, $ds_chave);
	            if($bo_xml==true){
	            	$st_prenota="1"; // Exibir o link para Pré Nota, XML já salvo no BD
	            }	
            }

			echo "<tr>";
				echo "<td class='text-center'><img src='{$ds_path}'/></img>&nbsp;</p></td>";

				// echo "<td>$ds_chave</td>";
				echo "<td>$ds_numnf</td>";
				// echo "<td>$ds_serie</td>";
				echo "<td>" . date('d/m/Y',strtotime($dh_emissao)) . "</td>";
				echo "<td>$ds_cpf_cnpj</td>";
				echo "<td>$ds_razao</td>";

				echo "<td>$cd_status_nfe</td>";
				echo "<td>&nbsp;";

				/* Link para Validação da Danfe na Sefaz */
				/* Removido e feito verificação pela tag protocolo no proprio XML 
				if($id_status_xml_importado=="1" && $st_tipo_entrada=="1"){
					echo "<a href='erpc_nfecode_importacao_manual_validar.php?id=$id_crip&chave=$ds_chave_crip'><i class='glyphicon glyphicon-check' title='XML Manual - Validar'><span class='sr-only'>XML Manual - Validar</span></i></a>";
				}
				*/

				/* Link para Download do XML na Sefaz */
				if($id_status_xml_importado=="2" && $st_tipo_entrada=="0" && $st_prenota=="0"){
					echo "<a href='erpc_nfecode_importacao_auto.php?id=$id_crip&chave=$ds_chave_crip'><i class='glyphicon glyphicon-download' title='XML Danfe - Download'><span class='sr-only'>XML Danfe - Download</span></i></a>";
				}

				/* Link para geração da Pré Nota, XML Validado e Salvo no BD */
				if($id_status_xml_importado=="2" && $st_prenota=="1" & $cd_status_nfe=="100"){
					echo "<a href='erpc_nfecode_importacao_pre.php?id=$id_crip&chave=$ds_chave_crip'><i class='glyphicon glyphicon glyphicon-import' title='XML Danfe - Pré Nota'><span class='sr-only'>XML Danfe - Pré Nota</span></i></a>";
				}

				echo "<td><a href='erpc_nfecode_importacao_detalhe.php?id=$id_crip&chave=$ds_chave_crip'><i class='glyphicon glyphicon-eye-open' title='XML Danfe - Número Danfe'><span class='sr-only'>XML Danfe - Número Danfe</span></i></a></td>";

				echo "</td>";

          	echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->

		<div class="footer">
	    <div class="side pull-right">
	      <div class=btn-group>
	        <!-- <button class="btn btn-default" type="button" onClick="window.history.go(-1)" value="Voltar">Voltar</button> -->
	        <!-- <button class="btn btn-sucess" type="button" value="prosseguir" name="prosseguir1" id="prosseguir1" onClick="ActiveForm('#form2');">Prosseguir</button> -->
	        <!-- <button  name="btn-add" class="btn btn-primary btn-cleanx" type="submit" value="prosseguir" onClick="$('#validate_custom').validationEngine('hide');" name="prosseguir1" id="prosseguir1">Prosseguir</button> -->


          <button  id="btn-voltar" class="btn btn-default btn-cleanx">voltar</button>
					<button  name="btn-liberar" class="btn btn-primary btn-cleanx" type="submit" value="liberar" onClick="$('#validate_custom').validationEngine('hide');" >liberar</button>
	      </div>
	    </div>
	  </div>
	  </form>


		<div class="form-row clear">&nbsp;</div>

    <? include "inc/label_status_importacao_painel.php" ?> 


  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>

<!--
<script type="text/javascript" src="js/acme.js"></script>
-->
<script type="text/javascript">

	$(document).ready(function() {

		$('#btnShow').click(function(){
		// $('#div_label').show("slow");
		// mov_div();
		w_width = $(window).width();

		$('#div_label').css('left', w_width / 3 - 100);

		$('#div_label').fadeIn();
		$('#div_label').fadeIn("slow");
		$('#div_label').fadeIn(3000);
		});

		$(document).keyup(function(e) {
	    if(e.which == 27){
	        // Close my modal window
					// alert(e.which);
					$('#div_label').hide();
	    }
	   });




		$.fn.dataTableExt.sErrMode = 'none';
		 
		$('.table-responsible').dataTable({
			"iDisplayLength": 100        // Exibe todos os registros de uma só vez, de acordo como aLengthMenu
		  });
		  // $.fn.dataTableExt.sErrMode = 'throw';
   
   }(jQuery));
   </script>

<style>
#div_label{
  position: absolute;
  top:0px;
  height: 310px;
  width:  300px;
  overflow: auto; 
  overflow-y: hidden;
  background-color: #666666;
  scrollbar-base-color:#ffeaff
}
</style>
